Bug 50958 - Selecting WindowMaker does not work
Summary: Selecting WindowMaker does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-05 18:29 UTC by Gene Czarcinski
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 22:27:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2001-08-05 18:29:21 UTC
Description of Problem:
In addition to gnome and kde, I selected WindowMaker for installation.

I was pleasantly surprised to see that WindowMaker was one of the gdm
session options.  However, selecting WindowMaker did nothing (where I made
it the default or not).  Neither did running wmaker.inst

How Reproducible:
everytime

Steps to Reproduce:
1. Select WindowMaker session on the gdm panel
2. 
3. 

Actual Results:
sawmill/gnome brought up

Expected Results:
WindowMaker is the WM

Additional Information:

Comment 1 Havoc Pennington 2001-08-06 19:01:48 UTC
WindowMaker installs a session that runs "/etc/X11/xdm/Xsession windowmaker", 
but Xsession doesn't know about any windowmaker option. So the windowmaker
session file needs fixing. Or maybe windowmaker requires a newer xinitrc.

I'm not sure we should have a windowmaker session however. Having both gnome and
kde is bad enough without compounding the issue. You can always choose
windowmaker from the window manager selector in gnome, then exit all gnome apps,
then you have a windowmaker-only setup.

Comment 2 Havoc Pennington 2001-08-06 19:03:44 UTC
On second thought you only get the windowmaker session if you install
windowmaker, so it's probably a nice touch. doesn't hurt anyone who didn't ask
for windowmaker already.

Comment 3 Gene Czarcinski 2001-08-06 20:29:47 UTC
Agree!  I did not discover the WindowMaker option until I selected it for
installation.

Comment 4 Gene Czarcinski 2001-08-06 20:34:01 UTC
For completeness, I checked the enlightenment package and it NOT have the option
for gdm session selection.

While "fixing" /etc/X11/xdm/Xsession, you might add something for enlightenment too.

Comment 5 Glen Foster 2001-08-06 22:27:50 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 6 Crutcher Dunnavant 2001-08-09 02:24:11 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.